Subject: bug#66554: [PATCH] Add the public API of Compat to the core

From: Daniel Mendler <[email-masked]>
Date: Thu, 11 Jan 2024 22:01:39 +0100

Philip Kaludercic <[email-masked]> writes:

> Daniel Mendler <[email-masked]> writes:
>
>> Philip Kaludercic <[email-masked]> writes:
>>> Stefan Monnier <[email-masked]> writes:
>>>> The addition cab done procedurally, as in
>>>>
>>>>     ;;;;####autoload (push (list 'compat emacs-major-version
>>>> emacs-minor-version) package--builtin-versions)
>>>
>>> If this work, I like this idea a lot!  I'll test it out to see if this
>>> could simplify things.
>>
>> Philip, could we push (list 'compat emacs-major-version
>> emacs-minor-version most-positive-fixnum)? Wouldn't this solve the two
>> problems we have - no manual version bump and Compat could keep its
>> current version scheme?
>
> Yes, I just tried it out and it works (and it doesn't work the way we
> want it to without `most-positive-fixnum'):

Thanks, your patch looks good. Stefan's idea of using an autoload to
specify the version is nice. As Eli mentioned the Elisp manual should
probably refer to the Compat manual, and maybe the change also needs a
NEWS entry? Anything else?

Daniel